<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~align_start.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Start masking and alignment" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">

	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select merged sequences</div>
		<div class="step-content">
		
			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Merged sequences</td>
				<td class="input">
					<select class="required" multiple size="30"
						name="mergedSequences" id="mergedSequences"></select>
						
					<base:buttongroup style="margin-top: 0.5em;">
						<base:button title="Select manually&hellip;" id="btnSelectMergedSequences" />
					</base:buttongroup>
				</td>
				<td class="status" id="mergedSequences.status"></td>
				<td class="help"><span id="mergedSequences.message" class="message"></span>
					Select the sequences that should be aligned. The list contains all merged sequences that
					has not yet been aligned.<br><br>
					Items marked with <b>[R]</b> have been marked for re-alignment due to a failure of
					a previous alignment.
				</td>
			</tr>
			</table>

		</div>
	</div>
	
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Masking and alignment information</div>
		<div class="step-content">

			<table class="step-form">
			<tbody>
				<tr class="section-header">
					<td colspan="4">Masking</td>
				</tr>
				<tr>
					<td class="subprompt">Software</td>
					<td class="input">
						<select name="maskingSoftware" id="maskingSoftware"></select>
					</td>
					<td class="status" id="maskingSoftware.status"></td>
					<td class="help">
						<span id="maskingSoftware.message" class="message"></span>
						Select the software to use for masking.
					</td>
				</tr>
				<tr>
					<td class="subprompt">Protocol</td>
					<td class="input">
						<select name="maskingProtocol" id="maskingProtocol"></select>
					</td>
					<td class="status" id="maskingProtocol.status"></td>
					<td class="help">
						<span id="maskingProtocol.message" class="message"></span>
						Select the protocol used for filtering.
					</td>
				</tr>
			</tbody>
			<tbody>
				<tr class="section-header">
					<td colspan="4">Align</td>
				</tr>
				<tr>
					<td class="subprompt">Software</td>
					<td class="input">
						<select name="alignSoftware" id="alignSoftware"></select>
					</td>
					<td class="status" id="alignSoftware.status"></td>
					<td class="help">
						<span id="alignSoftware.message" class="message"></span>
						Select the software to use for alignment.
					</td>
				</tr>
				<tr valign="top">
					<td class="subprompt">Protocol</td>
					<td class="input">
						<select name="alignProtocol" id="alignProtocol"></select>
					</td>
					<td class="status" id="alignProtocol.status"></td>
					<td class="help">
						<span id="alignProtocol.message" class="message"></span>
						Select the protocol used for alignment.
					</td>
				</tr>
			</tbody>
			<tbody>
				<tr class="section-header">
					<td colspan="4">Open Grid Scheduler</td>
				</tr>
				<tr>
					<td class="subprompt">Cluster</td>
					<td class="input">
						<select name="clusters" id="clusters" class="required"></select></td>
					<td class="status" id="clusters.status"></td>
					<td class="help">
						<span id="clusters.message" class="message"></span>
						Select the cluster to use for running the software.
					</td>
				</tr>
				<tr id="job-priority" style="display: none;">
					<td class="subprompt">Job priority</td>
					<td class="input">
						<select name="priority" id="priority"></select>
					</td>
					<td class="status" id="priority.status"></td>
					<td class="help">
						<span id="priority.message" class="message"></span>
						Select the priority of the job.
					</td>
				</tr>
				<tr>
					<td class="subprompt">Debug</td>
					<td class="input"><input type="checkbox" name="debug"></td>
					<td class="status" id="debug.status"></td>
					<td class="help">
						<span id="debug.message" class="message"></span>
						When running in debug mode only part of the sequenced data is used and
						temporary files are not removed from the cluster node.
					</td>
				</tr>
			</tbody>
			</table>
		</div>
	</div>
		
		<div id="wizard-status"></div>
	
		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>