<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.Extract"
	import="net.sf.basedb.core.BioMaterial"
	import="net.sf.basedb.core.BioMaterialEventSource"
	import="net.sf.basedb.core.BioPlate"
	import="net.sf.basedb.core.BioWell"
	import="net.sf.basedb.core.PermissionDeniedException"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.List"
	import="java.util.ArrayList"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final int BLOCKS_PER_PAGE = 3;
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final Extension reggie = ExtensionsControl.get(dc).getExtension("net.sf.basedb.reggie");
	final User user = User.getById(dc, sc.getLoggedInUserId());
	List<Extract> lysates = new ArrayList<Extract>();
	for (String id : request.getParameterValues("lysates"))
	{
		lysates.add(Extract.getById(dc, Values.getInt(id)));
	}
%>
<base:page id="protocol" type="iframe" 
	favicon="<%=home+"/images/extraction.png"%>" 
	title="Lab Tracking Protocol for Allprep isolation">
<base:head
	scripts="~../reggie-2.js,~allprep_protocol.js" 
	styles="~../css/reggie-2.css,~../css/printable.css"
	>
	<style>
	
	table.protocolheader
	{
		width: 100%;
		border: 1px solid #000000;
		border-collapse: collapse;
		margin-bottom: 1em;
	}

	table.protocolheader tr
	{
		border-bottom: 1px solid #000000;
	}
	
	table.protocolheader > tbody > tr > th
	{
		text-align: left;
		font-size: 100%;
		background-color: #F0F0F0;
		padding: 4px;
		border-right: 1px solid #000000;
		width: 25%;
	}
	
	table.protocolheader > tbody > tr > td
	{
		border-right: 1px solid #000000;
		width: 25%;
	}
	
	table.samplelist
	{
		width: 100%;
		border-collapse: collapse;
		border: 1px solid #000000;
	}
	
	table.samplelist > tbody > tr
	{
		height: 1.25cm;
	}
	
	table.samplelist > tbody > tr > th
	{
		border: 1px solid #000000;
		font-size: 1em;
	}
	
	table.samplelist > tbody > tr > td
	{
		border: 1px solid #000000;
		vertical-align: middle;
		font-size: 1em;
		padding: 0.5em;
	}
	
	.name
	{
		font-weight: bold;
		width: 20%;
	}
	.box
	{
		width: 20%;
	}
	.qiacube
	{
		width: 15%;
		text-align: center;
	}
	table.samplelist > tbody > tr > td.remark
	{
		width: 45%;
		font-size: 0.85em;
		vertical-align: top;
	}
	
	</style>
</base:head>
<base:body>

	<div class="paper">

	<form name="reggie" id="wizard">

	<div id="wizard-status"></div>

	<div id="all-protocol" style="display: none;">

	<div id="print-instructions" class="noprint fullwidth">
		<base:button id="print-button" image="<%=home+"/images/print.png"%>" title="Print&hellip;" />
		<br clear="all">
	</div>

	<h1>Lab Tracking Protocol for Allprep isolation v.1.2 <span class="reggie">Reggie <%=reggie.getAbout().getVersion() %></span></h1>

	<table class="protocolheader">
	<tr>
		<th>Lysis date</th>
		<td></td>
		<th>Isolation date</th>
		<td></td>
	</tr>
	<tr>
		<th>Operator</th>
		<td></td>
		<th>Operator</th>
		<td></td>
	</tr>
	<tr>
		<th>RLT Plus buffer</th>
		<td></td>
		<th>AllPrep DNA/RNA Mini kit</th>
		<td></td>
	</tr>
	<tr>
		<th>Beta-Mercaptoetanol</th>
		<td></td>
		<th>ETOH 70%</th>
		<td></td>
	</tr>
	<tr>
		<th>Reagent-DX</th>
		<td></td>
		<th>Buffer RW1</th>
		<td></td>
	</tr>
	<tr>
		<th>QIAshredder column</th>
		<td></td>
		<th>Buffer RPE</th>
		<td></td>
	</tr>
	<tr>
		<th></th>
		<td></td>
		<th>Buffer AW1</th>
		<td></td>
	</tr>
	<tr>
		<th></th>
		<td></td>
		<th>Buffer AW2</th>
		<td></td>
	</tr>
	<tr>
		<th></th>
		<td></td>
		<th>Buffer EB</th>
		<td></td>
	</tr>
	<tr>
		<th></th>
		<td></td>
		<th>RNase free water</th>
		<td></td>
	</tr>
	<tr>
		<th></th>
		<td></td>
		<th>AllPrep DNA Mini Spin Column</th>
		<td></td>
	</tr>
	<tr>
		<th></th>
		<td></td>
		<th>RNeasy Mini Spin Column</th>
		<td></td>
	</tr>
	</tbody>
	</table>

	<table style="width: 100%;" class="samplelist">
	<tr>
		<th class="name">Sample</th>
		<th class="box">Storage box</th>
		<th class="qiacube">Qiacube position</th>
		<th class="remark">Remark</th>
	</tr>
	<%
	int index = 1;
	for (Extract lysate : lysates)
	{
		BioMaterial specimen = lysate.getParent();
		Float usedQuantity = null;
		if (specimen != null) 
		{
			BioMaterialEventSource source = lysate.getCreationEvent().getEventSource(specimen);
			usedQuantity = source.getUsedQuantity();
		}
		BioWell well = lysate.getBioWell();
		BioPlate plate = well.getPlate();
		%>
		<tr>
			<td class="name"><%=HTML.encodeTags(lysate.getName()) %></td>
			<td class="box"><%=HTML.encodeTags(plate.getName()) %> <%=well.getCoordinate() %></td>
			<td class="qiacube"><%=index %></td>
			<td class="remark">
				<%
				if (usedQuantity != null)
				{
					%>
					ApWeight: <%=Values.formatNumber(usedQuantity / 1000, 0, "mg") %>
					<%
				}
				%>
			</td>
		</tr>
		<%
		++index;
	}
	%>
	</table>
</div>
</form>
</div>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>